=== debian/changelog ===
lthor (3.2) unstable; urgency=low

  * Upgraded to v3.2
  * fix network build error with aio_sigevent in Ubuntu 18.04

 -- Seung-Woo Kim <sw0312.kim@samsung.com>  Wed, 16 Jan 2019 17:09:42 +0900

lthor (3.1) unstable; urgency=low

  * Upgraded to v3.1
  * fix network flash crash with -o0 optimization build

 -- Seung-Woo Kim <sw0312.kim@samsung.com>  Wed, 2 Jan 2019 16:16:35 +0900

lthor (3.0) unstable; urgency=low

  * Upgraded to v3.0
  * Support THOR protocol 5.0 and flashing via network

 -- Seung-Woo Kim <sw0312.kim@samsung.com>  Fri, 4 May 2018 11:20:12 +0900

lthor (2.0) unstable; urgency=low

  * Upgraded to v2.0
  * Use libusb instead of cdc-acm kernel driver

 -- Krzysztof Opasiak <k.opasiak@samsung.com>  Wed, 13 Jul 2016 11:54:20 +0200

lthor (1.5) unstable; urgency=low

  * Upgraded to v1.5

 -- Jaewon Kim <jaewon02.kim@samsung.com>  Fri, 31 Oct 2014 16:45:26 +0900

lthor (1.4) unstable; urgency=low

  * Upgraded to v1.4

 -- Ed Bartosh <eduard.bartosh@intel.com>  Sun, 08 Dec 2013 17:45:26 +0200

lthor (1.3) unstable; urgency=low

  * Upgraded to v. 1.3

 -- Ed Bartosh <eduard.bartosh@intel.com>  Thu, 25 Apr 2013 16:38:49 +0300

lthor (1.0) unstable; urgency=low

  * Initial upload

 -- Ed Bartosh <eduard.bartosh@intel.com>  Mon, 12 Nov 2012 19:08:56 +0200
