## lthor 3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 SET(PREFIX ${CMAKE_INSTALL_PREFIX})
 SET(BINDIR "${PREFIX}/bin")
 
-SET(PACKAGE_VERSION "3.2")
+SET(PACKAGE_VERSION "3.4")
 
 
 IF("${CMAKE_BUILD_TYPE}" STREQUAL "")
