=== debian/changelog ===
lthor (3.4) unstable; urgency=low

  * Upgraded to v3.4
  * fix race condition for increasing chunk_number unintendly

 -- Dongwoo Lee <dwoo08.lee@samsung.com>  Thu Dec 19 15:23:47 2024 +0900

lthor (3.3) unstable; urgency=low

  * Upgraded to v3.3
  * fix issue for sent file size less than 1KB

 -- Seung-Woo Kim <sw0312.kim@samsung.com>  Fri, 11 Oct 2024 15:22:12 +0900
