=== debian/control ===
Source: lthor
Section: net
Priority: extra
Maintainer: Ed Bartosh <eduard.bartosh@intel.com>
Build-Depends: debhelper (>= 5), pkg-config, cmake, libarchive-dev, libusb-1.0-0-dev (>= 1.0.17)
Standards-Version: 3.9.4

Package: lthor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, udev
Description: Phone flashing tool
 Tool for downloading binaries from a Linux host PC to a target phone.
 It uses a USB cable as a physical communication medium.
 It is prerequisite that the boot-loader should support download protocol
 which is compatible with 'lthor'
